#include "defines.h"

int spcut(unchar *line)
/* 行末のSPC/TABを削除する（直接line内容を書き換える）*/
{
int i=0,p=-1;
unchar c;
	while ((c=line[i])!=0) {
		if (c==SPC||c==TAB) {
			if (p<0) p=i;
		} else p=-1;
		i++;
	}
	/* EOSを最後のSPC/TAB群の始まりに置く */
	if (p>=0) line[p]=0;
	return(p+1);
}

#if 0
unchar line[]="TEST STRINGS A        ";
unchar line2[]="TEST STRINGS B";
main()
{
	printf("%s<<\n",line);
	spcut(line);
	printf("%s<<\n",line);
	printf("%s<<\n",line2);
	spcut(line2);
	printf("%s<<\n",line2);
}
#endif
